Skip to main content

GET /api/social/farcaster/{identifier}/followers

User's followers

GET followers data from social service

Endpoint​

GET https://api.web3identity.com/api/social/farcaster/{identifier}/followers

Parameters​

NameInTypeRequiredDescription
identifierpathstringâś…Resource identifier
platformsquerystring❌Filter platforms (ens,farcaster,lens)

Example Request​

curl -s "https://api.web3identity.com/api/social/farcaster/:identifier/followers" | jq

Responses​

200 Followers​

{
"fid": 3,
"username": "dwr",
"displayName": "Dan Romero",
"pfp": "https://example.com/pfp.jpg",
"followerCount": 123456,
"followingCount": 567
}

400 Bad request - invalid parameters​

{
"example": "response"
}

402 Payment required - free tier exhausted​

{
"example": "response"
}

404 Resource not found​

{
"example": "response"
}

429 Rate Limited​

{
"example": "response"
}

500 Internal Server Error - Something went wrong on our end​

{
"error": "Internal server error",
"code": "INTERNAL_ERROR"
}

Auto-generated from OpenAPI spec